#include "error_code/error_code.hpp"
#include "rabbitmq/rabbitmq_communication.h"
#include "grpc/streamServer.h"
#include "proto/communication.pb.h"

class CommunicationManager {
public:
    static CommunicationManager *iter() {
        static CommunicationManager *instance = nullptr;
        if (instance == nullptr) {
            instance = new CommunicationManager();
        }
        return instance;
    }
    ~CommunicationManager() = default;

    Error_manager Init(const CommunicationManagerConfig &config);
protected:

private:
    StreamRpcServer *m_grpc_server = nullptr;

};


